Bug 177730 - 15s - editor.completion.CompletionImpl.initActiveProviders()
15s - editor.completion.CompletionImpl.initActiveProviders()
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Dusan Balek
issues@editor
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-27 04:00 UTC by Exceptions Reporter
Modified: 2010-11-14 06:21 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (256.00 KB, application/nps)
2009-11-27 04:00 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2009-11-27 04:00:38 UTC
Build: NetBeans IDE 6.8 Beta (Build 200910212001)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments:
torgrim@sagplass.no: Starting netbeans

jglick: Opened project group, scanning.


Maximum slowness yet reported was 15406 ms, average is 6235
Comment 1 Exceptions Reporter 2009-11-27 04:00:43 UTC
Created attachment 91766 [details]
nps snapshot
Comment 2 Vitezslav Stejskal 2009-11-30 06:13:00 UTC
http://statistics.netbeans.org/exceptions/exception.do?id=303352 shows that CompletionProviders were being loaded from MimeLookup. Perhaps we could pre-initialize them in NbEditorKit.
Comment 3 David Strupl 2010-10-04 09:56:24 UTC
org.netbeans.modules.editor.mimelookup.impl.FolderPathLookup$ICItem.instanceOf
calls IntanceDataObject.instanceOf.

Passing to platform team for evaluation.
Comment 4 Jaroslav Tulach 2010-10-05 09:00:39 UTC
Initialization of org.netbeans.modules.editor.completion.CompletionImpl.initActiveProviders() can take long time. Please pre-initialize this outside of AWT thread in YourEditorKit.call() method which is there to warm up whole editor infrastructure.
Comment 5 Dusan Balek 2010-11-12 08:34:31 UTC
CompletionProviders cannot be pre-initialized in NbEditorKit due to reverse dependency between editor and editor.completion modules. Fixed inside CompletionImpl.

http://hg.netbeans.org/jet-main/rev/9f7a118fb859
Comment 6 Quality Engineering 2010-11-14 06:21:14 UTC
Integrated into 'main-golden', will be available in build *201011140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/9f7a118fb859
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #177730:  15s - editor.completion.CompletionImpl.initActiveProviders()- fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo